Issue 91294 - ODFF: store ERRORTYPE as ORG.OPENOFFICE.ERRORTYPE
ODFF: store ERRORTYPE as ORG.OPENOFFICE.ERRORTYPE
Status: CLOSED FIXED
Product: Calc
Classification: Application
Component: save-export
recent-trunk
All All
: P3 trivial (vote)
: ---
Assigned To: oc
issues@sc
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-02 10:37 UTC by ooo
Modified: 2013-08-07 15:15 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description ooo 2008-07-02 10:37:16 UTC
The current ERRORTYPE function implementation is not the ERROR.TYPE function as
specified by ODFF and delivers different results. We'll later implement an ODFF
compliant and Excel compatible ERROR.TYPE function. The current ERRORTYPE
function must be stored as ORG.OPENOFFICE.ERRORTYPE for ODF 1.2, it will still
be named ERRORTYPE in ODF 1.1 documents.
Comment 1 ooo 2008-07-02 11:01:34 UTC
In cws calcfixes30:

sc/source/core/src/compiler.src  1.58.88.1
Comment 2 ooo 2008-07-02 12:50:45 UTC
Reassigning to QA for verification.
Comment 3 oc 2008-07-03 15:31:52 UTC
verified in internal build cws_calcfixes30
Comment 4 thorsten.ziehm 2009-07-20 15:55:28 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
http://download.openoffice.org/index.html
If you want to know more about the handling of fixed/verified issues =>
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues